[Pkg-ossec-devel] [SCM] Git repository for pkg-ossec branch, master, updated. ae60336025d26d3f6ccea5276085c636f252207f
Jose Antonio Quevedo
joseantonio.quevedo at gmail.com
Mon Jul 18 23:14:30 UTC 2011
The following commit has been merged in the master branch:
commit ae60336025d26d3f6ccea5276085c636f252207f
Merge: f7df53dae6c816ddbfe5c27d8f6f45561a6ae3eb 0a98c78444fe532dae52b4b2e8db420b0d6c1530
Author: Jose Antonio Quevedo <joseantonio.quevedo at gmail.com>
Date: Tue Jul 19 01:14:53 2011 +0200
Merge branch 'master' of git+ssh://git.debian.org/git/pkg-ossec/pkg-ossec
Conflicts:
install.sh
diff --combined install.sh
index a6ec366,a133c80..5d4472f
--- a/install.sh
+++ b/install.sh
@@@ -1,4 -1,4 +1,4 @@@
--#!/bin/sh
++ou#!/bin/sh
# Installation script for the OSSEC
# Author: Daniel B. Cid <daniel.cid at gmail.com>
# Last modification: Mar 02, 2006
@@@ -53,6 -53,8 +53,8 @@@ for i in $*; d
exit 1;
fi
done
+
+
##########
# install()
@@@ -81,7 -83,18 +83,7 @@@ Install(
# Binary install will use the previous generated code.
if [ "X${USER_BINARYINSTALL}" = "X" ]; then
- make all
- if [ $? != 0 ]; then
- cd ../
- catError "0x5-build"
- fi
-
- # Building everything
- make build
- if [ $? != 0 ]; then
- cd ../
- catError "0x5-build"
- fi
+ build
fi
# If update, stop ossec
@@@ -137,6 -150,9 +139,9 @@@
}
+
+
+
##########
# UseSyscheck()
##########
@@@ -218,6 -234,9 +223,9 @@@ UseRootcheck(
fi
}
+
+
+
##########
# SetupLogs()
##########
@@@ -304,6 -323,9 +312,9 @@@ SetupLogs(
fi
}
+
+
+
##########
# ConfigureClient()
##########
@@@ -373,6 -395,9 +384,9 @@@ ConfigureClient(
echo "</ossec_config>" >> $NEWCONFIG
}
+
+
+
##########
# ConfigureServer()
##########
@@@ -656,6 -681,9 +670,9 @@@ ConfigureServer(
echo "</ossec_config>" >> $NEWCONFIG
}
+
+
+
##########
# setEnv()
##########
@@@ -1143,40 -1171,11 +1160,40 @@@ main(
fi
}
+# Inicio del parche
+##########
+# build()
+##########
+build()
+{
+
+ cd `dirname $0`
+ cd ./src/
+ make all
+ if [ $? != 0 ]; then
+ cd ../
+ catError "0x5-build"
+ fi
+
+ # Building everything
+ make build
+ if [ $? != 0 ]; then
+ cd ../
+ catError "0x5-build"
+ fi
+}
+
+USER_LANGUAGE="en"
+USER_INSTALL_TYPE="server"
+
+if [$1="build"]; then build
+elif [$1=install] install
+fi
### Calling main function where everything happens
-main
+#main
exit 0
--
Git repository for pkg-ossec
More information about the Pkg-ossec-devel
mailing list